linux-firmware: don't package check_whence.py

Message ID 1497294476-22590-1-git-send-email-ross.burton@intel.com
State New
Headers show

Commit Message

Ross Burton June 12, 2017, 7:07 p.m.
There's no need for this script on the target, and now that rpmdeps is fixed the
QA code wants a dependency on Python in the firmware package, which clearly
isn't appropriate.

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-kernel/linux-firmware/linux-firmware_git.bb | 4 ++++
 1 file changed, 4 insertions(+)

-- 
2.8.1

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_git.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_git.bb
index 4558daf..316d674 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_git.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_git.bb
@@ -672,6 +672,10 @@  FILES_${PN} += "${nonarch_base_libdir}/firmware/*"
 RDEPENDS_${PN} += "${PN}-license"
 RDEPENDS_${PN} += "${PN}-whence-license"
 
+do_install_append() {
+	rm ${D}${nonarch_base_libdir}/firmware/check_whence.py
+}
+
 # Make linux-firmware depend on all of the split-out packages.
 # Make linux-firmware-iwlwifi depend on all of the split-out iwlwifi packages.
 python populate_packages_prepend () {